Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing
[Groovy] Class SigningPluginConvention

    java.lang.Object
      org.gradle.plugins.signing.SigningPluginConvention

    @Deprecated
    class SigningPluginConvention

deprecated:
  Use SigningExtension

Constructor Summary
`SigningPluginConvention(SigningExtension extension)`

Method Summary
`SignOperation` | `sign(PublishArtifact... publishArtifacts)` @deprecated Use SigningExtension.sign
`SignOperation` | `sign(File... files)` @deprecated Use SigningExtension.sign
`SignOperation` | `sign(String classifier, File... files)` @deprecated Use SigningExtension.sign
`SignOperation` | `sign(Closure closure)` @deprecated Use SigningExtension#sign(Closure)#sign(Closure) }
`Signature` | `signPom(MavenDeployment mavenDeployment, Closure closure = null)` @deprecated Use SigningExtension#signPom()#signPom()

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SigningPluginConvention

    SigningPluginConvention(SigningExtension extension)

Method Detail

### sign

    @Deprecated
    SignOperation sign(PublishArtifact... publishArtifacts)

  deprecated:
    Use SigningExtension.sign

### sign

    @Deprecated
    SignOperation sign(File... files)

  deprecated:
    Use SigningExtension.sign

### sign

    @Deprecated
    SignOperation sign(String classifier, File... files)

  deprecated:
    Use SigningExtension.sign

### sign

    @Deprecated
    SignOperation sign(Closure closure)

  deprecated:
    Use SigningExtension#sign(Closure)#sign(Closure) }

### signPom

    @Deprecated
    Signature signPom(MavenDeployment mavenDeployment, Closure closure = null)

  deprecated:
    Use SigningExtension#signPom()#signPom()

Gradle API 1.10